## Length
Calculate the length of a vector

### Declaration
```glsl
float length(float x)  
float length(vec2 x)  
float length(vec3 x)  
float length(vec4 x)
```

### Parameters
```x``` specifies a vector of which to calculate the length.

### Description
```length()``` returns the length of the vector.

<div class="codeAndCanvas" data="../07/circle-making.frag"></div>

### See Also

[distance()](index.html#distance.md), [normalize()](index.html#normalize.md), [Chapter 07: Shapes](../07/)